package xyz.thastertyn.Types;

/**
 * A single mark. holds numeric value, weight - small = 1, normal 2
 */
public class Mark {

	private int mark;
	private String markAsText;
	private int weight;

	public Mark(int mark, boolean isSmall, String markAsText)
	{
		this.mark = mark;
		this.weight = (isSmall) ? 1 : 2;
		this.markAsText = markAsText;
	}

	public int getMark()
	{
		return mark;
	}

	public int getWeight()
	{
		return weight;
	}

	@Override
	public String toString()
	{
		return markAsText;
	}
}